# Welcome to Python BiDi’s documentation!

Bi-directional (BiDi) layout implementation in pure python.

Contents:

- Installation
- Usage
- Contributing
  - Types of Contributions
  - Get Started!
  - Pull Request Guidelines
  - Tips
- Credits
  - Development Lead
  - Tests
  - Contributors
- 0.4.2
  - History
- 0.4.1
- 0.4.0
- 0.3.4
- 0.3.3
- 0.3.2
- 0.3.1
- 0.3
- 0.2
- 0.1

# Indices and tables

- Index

- Module Index

- Search Page